/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.facade.def.impl;

import org.ow2.orchestra.facade.def.BaseFCTDefinition;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;


/**
 * @author Guillaume Porcher
 *
 */
public abstract class BaseFCTDefinitionImpl extends ActivityDefinitionImpl implements BaseFCTDefinition {

  private static final long serialVersionUID = 4609885504204462868L;

  private final ActivityDefinitionUUID enclosedActivityDefinitionUUID;

  public BaseFCTDefinitionImpl(final BaseFCTDefinition src) {
    super(src);
    this.enclosedActivityDefinitionUUID = src.getEnclosedActivityUUID();
  }

  public ActivityDefinitionUUID getEnclosedActivityUUID() {
    return this.enclosedActivityDefinitionUUID;
  }


}
