/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.impl;

import org.ow2.orchestra.facade.def.FromDefinition;
import org.ow2.orchestra.facade.def.LiteralDefinition;

/**
 *
 * @author Alfonso Fuca
 */
public class FromDefinitionImpl extends FromToDefinitionImpl implements FromDefinition {

  private static final long serialVersionUID = -1391629711481253551L;

  private LiteralDefinition literal;

  public FromDefinitionImpl(final FromDefinition fromDefinition) {
    super(fromDefinition);
    this.literal = fromDefinition.getLiteral();
  }

  public FromDefinition copy() {
    return new FromDefinitionImpl(this);
  }

  public LiteralDefinition getLiteral() {
    return literal;
  }

}
